cURL
curl 'https://{domo-domain}/api/query/migration/federated/v1/to/v2/candidates/{account-id}' \
-H 'accept: application/json,*/*;q=0.8' \
-H 'accept-language: en-US,en;q=0.9' \
-H 'cache-control: max-age=0' \
-H 'X-DOMO-Developer-Token: {developer-token}'import requests
url = "https://{instance}.domo.com/api/query/migration/federated/v1/to/v2/candidates/{account-id}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/query/migration/federated/v1/to/v2/candidates/{account-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "495e28ec-6c07-41fc-99ed-b2dce9a5f569",
"name": "MySQL Table 1",
"migrated": false,
"migrationDate": null
},
{
"id": "F495e28ec-6c07-41fc-99ed-b2dce9a5f569",
"name": "MySQL Table 2",
"migrated": false,
"migrationDate": null
}
]Federated V1 to V2 Migration APIs
List Federated V1 Migration Candidate Datasources by Account
Retrieves a list of migration candidate datasources matching the provided Federated V2 account.
GET
/
api
/
query
/
migration
/
federated
/
v1
/
to
/
v2
/
candidates
/
{account-id}
cURL
curl 'https://{domo-domain}/api/query/migration/federated/v1/to/v2/candidates/{account-id}' \
-H 'accept: application/json,*/*;q=0.8' \
-H 'accept-language: en-US,en;q=0.9' \
-H 'cache-control: max-age=0' \
-H 'X-DOMO-Developer-Token: {developer-token}'import requests
url = "https://{instance}.domo.com/api/query/migration/federated/v1/to/v2/candidates/{account-id}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/query/migration/federated/v1/to/v2/candidates/{account-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "495e28ec-6c07-41fc-99ed-b2dce9a5f569",
"name": "MySQL Table 1",
"migrated": false,
"migrationDate": null
},
{
"id": "F495e28ec-6c07-41fc-99ed-b2dce9a5f569",
"name": "MySQL Table 2",
"migrated": false,
"migrationDate": null
}
]Authorizations
Domo access token that you can generate in the admin panel from within your Domo instance.
Path Parameters
The unique ID of one of the Federated V2 accounts returned from the List Federated V2 Accounts by Integration Type API.
⌘I